package comptest.http.importedhttp11;

import com.ibm.etools.comptest.http.execution.HttpResponse;
import com.ibm.etools.comptest.http.execution.HttpTask;
import com.ibm.etools.comptest.model.common.BasicArbiter;
import com.ibm.etools.comptest.model.core.EnumerationManager;
import com.ibm.etools.comptest.model.core.Task;
import com.ibm.etools.comptest.model.util.ArbiterResult;

/**
 * HTTP Arbiter
 */
public class HttpArbiter extends BasicArbiter {
	/**
	 * @see BasicArbiter#analyze(Task, String)
	 */
	public ArbiterResult analyze(Task task, String info) {
		ArbiterResult arbiterResult = super.analyze(task, info);
		if (task instanceof HttpTask) {
			HttpTask httpTask = (HttpTask) task;
			HttpResponse httpResponse = httpTask.getLastHttpResponse();
			if (httpResponse != null) {
				if ((httpResponse.getContentLength() > 0)
					&& (200 != httpResponse.getStatusCode())) {
					arbiterResult.setStatus(
						EnumerationManager.ExecutionStatus_SoftFail);
					storeTaskResult(task, arbiterResult);
				} else if (httpResponse.getStatusCode() < 0) {
					arbiterResult.setStatus(
						EnumerationManager.ExecutionStatus_Fail);
					arbiterResult.setInfo(
						"Invalid status code ("
							+ httpResponse.getStatusCode()
							+ ")."
							+ (arbiterResult.getInfo() == null
								? ""
								: "\n" + arbiterResult.getInfo()));
				}
			}
		}

		return arbiterResult;
	}
}