package comptest.http.importedhttp11;

import com.ibm.etools.comptest.model.common.DelayTask;
import com.ibm.etools.comptest.model.core.Block;
import com.ibm.etools.comptest.model.core.EnumerationManager;
import com.ibm.etools.comptest.http.execution.HttpTask;

/**
 * Page 1
 *
 * Main Block for Page 1
 */
public class Page1 extends Block {
	/**
	 * Constructor for Page1.
	 */
	public Page1() {
		super();
	}

	/**
	 * Constructor for Page1.
	 * @param name
	 */
	public Page1(String name) {
		super(name);
	}

	/**
	 * @see Task#initialize()
	 */
	protected void initialize() {
		// Block attributes

		setId("BlockInstanceImpl2");
		setTotalIterations(1);
		setFlowType(EnumerationManager.BlockFlowControl_Sequential);

		// Children instanciation

		HttpTask pageRequest = new HttpTask("Page Request");
		pageRequest.setId("HttpTaskInstanceImpl1");
		pageRequest.setMethod("GET");
		pageRequest.setHostName("localhost");
		pageRequest.setAbsolutePath(
			"/JSPandServletExample/Form/FormIntro.html");
		pageRequest.setPort(9080);
		pageRequest.addHeader(
			new String[] {
				"Accept",
				"image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-excel, application/vnd.ms-powerpoint, application/msword, */*" });
		pageRequest.addHeader(new String[] { "Referer", "http" });
		pageRequest.addHeader(new String[] { "Accept-Language", "en-us" });
		pageRequest.addHeader(
			new String[] {
				"User-Agent",
				"Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; Q312461)" });
		pageRequest.addHeader(new String[] { "Host", "localhost" });
		addChild(pageRequest);
	}
}