package comptest.http.importedhttp12;

import com.ibm.etools.comptest.model.common.DelayTask;
import com.ibm.etools.comptest.model.core.Block;
import com.ibm.etools.comptest.model.core.EnumerationManager;
import com.ibm.etools.comptest.http.execution.HttpTask;

/**
 * Page 2
 *
 * Main Block for Page 2
 */
public class Page2 extends Block {
	/**
	 * Constructor for Page2.
	 */
	public Page2() {
		super();
	}

	/**
	 * Constructor for Page2.
	 * @param name
	 */
	public Page2(String name) {
		super(name);
	}

	/**
	 * @see Task#initialize()
	 */
	protected void initialize() {
		// Block attributes

		setId("BlockInstanceImpl3");
		setTotalIterations(1);
		setFlowType(EnumerationManager.BlockFlowControl_Sequential);

		// Children instanciation

		DelayTask _14MSecThinkTime = new DelayTask("14 mSec Think Time");
		_14MSecThinkTime.setId("DelayTaskInstanceImpl1");
		_14MSecThinkTime.setDuration(14);
		addChild(_14MSecThinkTime);

		HttpTask pageRequest = new HttpTask("Page Request");
		pageRequest.setId("HttpTaskInstanceImpl3");
		pageRequest.setMethod("GET");
		pageRequest.setHostName("localhost");
		pageRequest.setAbsolutePath("/JSPandServletExample/Simple/Simple.html");
		pageRequest.setPort(9080);
		pageRequest.addHeader(
			new String[] {
				"Accept",
				"image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-excel, application/vnd.ms-powerpoint, application/msword, */*" });
		pageRequest.addHeader(new String[] { "Referer", "http" });
		pageRequest.addHeader(new String[] { "Accept-Language", "en-us" });
		pageRequest.addHeader(
			new String[] {
				"User-Agent",
				"Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; Q312461)" });
		pageRequest.addHeader(new String[] { "Host", "localhost" });
		addChild(pageRequest);
	}
}