package comptest.java.testtheservlet1;

import java.io.File;
import java.io.FileNotFoundException;

import com.ibm.etools.comptest.java.runner.ComptestJUnitScheduler;
import com.ibm.etools.comptest.model.core.EnumerationManager;

/**
 * JUnit Scheduler
 */
public class JUnitScheduler extends ComptestJUnitScheduler {
	public static void main(String[] args) {
		JUnitScheduler scheduler = new JUnitScheduler();
		scheduler.handleArguments(args);
		try {
			scheduler.setConfigurationFile(
				new File("comptest/java/testtheservlet1/configuration.xml"));
		} catch (FileNotFoundException fnfe) {
			fnfe.printStackTrace();
		}

		scheduler.run(TestTheServlet1.suite());
	}

	/**
	 * Invoked at the end of the test case execution.
	 * Returns the test status.  This should never return null.
	 */
	protected String analyze() {
		String status = EnumerationManager.ExecutionStatus_Pass;

		if (getFailCount() > 0)
			status = EnumerationManager.ExecutionStatus_Fail;

		else if (
			getSoftFailCount() > (getExecutedCount() - getSoftFailCount()))
			status = EnumerationManager.ExecutionStatus_SoftFail;

		return status;
	}
}