package comptest.java.testtheservlet2;

import java.net.URLConnection;

import junit.extensions.RepeatedTest;
import junit.framework.Test;
import junit.framework.TestSuite;

import com.ibm.etools.comptest.java.junit.ComptestSequentialTestSuite;
import com.ibm.etools.comptest.java.junit.ComptestTestCase;
import ctsamples.util.POSTUtil;

/**
 * Check empty
 */
public class CheckEmpty extends ComptestTestCase {
	//Object to keep the state between the testcases
	private static String response = null;

	/**
	 * Constructor for CheckEmpty.
	 * @param name
	 */
	public CheckEmpty(String name) {
		super(name);
	}

	/**
	 * Returns the JUnit test suite implemented by this
	 * test class.
	 */
	public static Test suite() {
		TestSuite testSuite =
			new ComptestSequentialTestSuite(CheckEmpty.class.getName());

		testSuite.addTest(new CheckEmpty("getTheEmptyForm"));
		testSuite.addTest(new CheckEmpty("checkIfTheFormIsEmpty"));

		return new RepeatedTest(testSuite, 1);
	}

	/**
	 * Get the empty form
	 *
	 * Connect to http://localhost:9080/JSPandServletExample/Controllers/SampleController and get the empty form.
	 */
	public void getTheEmptyForm() {
		URLConnection urlConnection = POSTUtil.send(
			"http://localhost:9080/JSPandServletExample/Controllers/SampleController",
			"command=FormInputForm");
		assertNotNull("urlConnection == null", urlConnection);
		response = POSTUtil.read(urlConnection);
		
		if(Math.random() > 0.5d)
			assertTrue("response.length() > 0", response.length() > 0);
		else
			assertTrue("Introduced error", false);
	}

	/**
	 * Check if the form is empty
	 *
	 * Search for every field and check if the value attribute is empty ("").
	 */
	public void checkIfTheFormIsEmpty() {
		URLConnection urlConnection = POSTUtil.send("http://localhost:9080/JSPandServletExample/Controllers/SampleController","command=FormInputForm");
		assertNotNull("urlConnection == null",urlConnection);
		response = POSTUtil.read(urlConnection);
		assertTrue("response.length() > 0",response.length() > 0);
	}
}