package comptest.java.testtheservlet2;

import java.net.URLConnection;

import junit.extensions.RepeatedTest;
import junit.framework.Test;
import junit.framework.TestSuite;

import com.ibm.etools.comptest.java.junit.ComptestSequentialTestSuite;
import com.ibm.etools.comptest.java.junit.ComptestTestCase;
import ctsamples.util.POSTUtil;

/**
 * Submit values and check results
 */
public class SubmitValuesAndCheckResults extends ComptestTestCase {
	//Object to keep the state between the testcases
	private static String response = null;


	/**
	 * Constructor for SubmitValuesAndCheckResults.
	 * @param name
	 */
	public SubmitValuesAndCheckResults(String name) {
		super(name);
	}

	/**
	 * Returns the JUnit test suite implemented by this
	 * test class.
	 */
	public static Test suite() {
		TestSuite testSuite =
			new ComptestSequentialTestSuite(
				SubmitValuesAndCheckResults.class.getName());

		testSuite.addTest(new SubmitValuesAndCheckResults("setTheFormFields"));
		testSuite.addTest(
			new SubmitValuesAndCheckResults("checkTheFieldsOnTheReturnedPage"));

		return new RepeatedTest(testSuite, 1);
	}

	/**
	 * Set the form fields
	 *
	 * Set each field to 1234.
	 */
	public void setTheFormFields() {
		String data="command=FormResults";
		data+="&firstname=1234";
		data+="&lastname=1234";
		data+="&street=1234";
		data+="&city=1234";
		data+="&state=1234";
		data+="&zip=1234";
		data+="&phone=1234";
		data+="&email=1234";

		URLConnection urlConnection = POSTUtil.send("http://localhost:9080/JSPandServletExample/Controllers/SampleController",data);
		assertNotNull("urlConnection == null",urlConnection);
		response = POSTUtil.read(urlConnection);
		assertTrue("response.length() > 0",response.length() > 0);
	}

	/**
	 * Check the fields on the returned page
	 *
	 * Make sure that all fields on the returned page contain 1234.
	 */
	public void checkTheFieldsOnTheReturnedPage() {
		String line = response;
		int count = 0;
		int start=0;
		while(start<line.length())
		{
		start = line.indexOf("<TD>1234</TD>",start);
		if(start <=0)
		break;
		start = start+"<TD>1234</TD>".length();
		count++;
		}

		if(Math.random() > 0.5d)
			assertEquals("wrong raw count",count,8);
		else
			assertTrue("Introduced error", false);
	}
}