package ctsamples.util;

/*
 * Disclaimer:
 * The following source code is sample code created by IBM Corporation. 
 * This sample code is not part of any standard IBM product and is provided 
 * to you solely for the purpose of assisting you in the development of your 
 * applications. The code is provided 'AS IS', without warranty or condition 
 * of any kind. IBM shall not be liable for any damages arising out of your 
 * use of the sample code, even if IBM has been advised of the possibility of 
 * such damages.
 */

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.URL;
import java.net.URLConnection;

public class POSTUtil
{
	public static final String copyright = "(c) Copyright IBM Corporation 2001.";
	
	/** 
	 * This is called to send the data over a new URL
	 */
	public static URLConnection send(String surl, String data)
	{
		URLConnection urlConnection = null;
		try
		{
			System.out.println("Data: " + data);

			//URL encode the data to the x-www-form-urlencoded MIME format
			String urlEncodedData = data; //URLEncoder.encode(data);
			System.out.println("URL Encoded Data: " + urlEncodedData);

			URL url = new URL(surl);
			System.out.println("Destination URL: " + url.toString());

			//Open the connection
			urlConnection = url.openConnection();

			//Turn off the caching feature
			urlConnection.setUseCaches(false);

			//Set the URL to POST instead of GET
			urlConnection.setDoOutput(true);

			//Set necessary properties
			urlConnection.setRequestProperty("content-type", "application/x-www-form-urlencoded");
			urlConnection.setRequestProperty("content-length", String.valueOf(urlEncodedData.length()));

			//Get the output stream and send the data
			OutputStream os = urlConnection.getOutputStream();

			OutputStreamWriter osw = new OutputStreamWriter(os);
			osw.write(urlEncodedData);
			osw.flush();
			osw.close();

			System.out.println("Data sent successfully");
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		return urlConnection;
	}


	/**
	 * This is called to read the response from the server
	 */
	public static String read(URLConnection urlConnection)
	{
		String res = "";
		try
		{
			//Get the input stream from the connection object
			System.out.println("Getting an input stream...");
			InputStream is = urlConnection.getInputStream();

			// any response?
			InputStreamReader isr = new InputStreamReader(is);
			BufferedReader br = new BufferedReader(isr);
			String line = null;

			while ((line = br.readLine()) != null)
			{
				res += line;
			}
			System.out.println("Server response: " + res);
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}
		return res;
	}
}
