package com.ibm.etools.pd.widget.viewer;

/*
 * Disclaimer:
 * The following source code is sample code created by IBM Corporation. 
 * This sample code is not part of any standard IBM product and is provided 
 * to you solely for the purpose of assisting you in the development of your 
 * applications. The code is provided 'AS IS', without warranty or condition 
 * of any kind. IBM shall not be liable for any damages arising out of your 
 * use of the sample code, even if IBM has been advised of the possibility of 
 * such damages.
 */

/**
 * The <code>IDataInputConstants</code> interface provides
 * constants which map to the tag names defined in the data input 
 * schemas and other miscellaneous values used by the classes.
 * 
 * @version %I%  
 */
public interface IDataInputConstants {
	// WidgetConfiguration schema
	String CONFIGURATION=					"configuration";	
	String TITLE=							"title";	
	String SUPPRESS_LEGEND=					"suppressLegend";
	String LEGEND_TITLE=					"legendTitle";
	String TIMESTAMP_PREFIX=				"timestampPrefix";
	String WIDTH=							"width";
	String HEIGHT=							"height";
	String FONT=							"font";
	
	// DataUpdate schema
	String DATAUPDATE=						"dataUpdate";	
	String RANGE=							"range";
	String CATEGORIZATION=					"categorization";	
	String DATASET=							"dataset";
	String TIMESTAMP=						"timestamp";
	String SUMMARY=							"summary";
	String SEGMENT_MARKER=					"segmentMarker";
	String CONTEXT=							"context";
	String MINVALUE=						"minValue";
	String MAXVALUE=						"maxValue";
	String POSITION=						"position";
	String VALUE=							"value";
	String CATEGORY=						"category";
	String DESCRIPTION=						"description";
	String ID=								"id";
	String NAME=							"name";	
	String TOTAL=							"total";
	String DATAPOINT=						"datapoint";
	String PERCENTAGE_OF_DATAPOINT_TOTAL=	"percentageOfDatapointTotal";
	
	// miscellaneous
	String EMPTY_STRING=					"";
	String VALUE_TITLE=						"valueTitle";	
	String TOTAL_TITLE=						"totalTitle";
	String RATE_DEFINITION=					"rateDefinition";
	String ACTUAL_RATE=						"actualRate";	
	String X_TITLE=							"xtitle";
	String Y_TITLE=							"ytitle";
}

