REM CONNECT SCOTT/TIGER @DEMO.KBOO;

SET TERMOUT ON
PROMPT Building demo tables.  Please wait.
SET TERMOUT OFF

DROP TABLE CITY;
DROP TABLE BUILDING;
DROP TABLE DEPT;
DROP TABLE EMPLOYEE;

CREATE TABLE CITY
       (CITYID CHARACTER(3) NOT NULL,
        NAME CHARACTER(25),
        COUNTRY CHARACTER(25),
        PRIMARY KEY (CITYID));

INSERT INTO CITY VALUES
       ('TOR', 'Toronto', 'Canada');
INSERT INTO CITY VALUES
       ('DM', 'Don Mills', 'Canada');
INSERT INTO CITY VALUES
       ('MKM', 'Markham', 'Canada');

CREATE TABLE  BUILDING 
       (BUILDINGID INTEGER NOT NULL, 
        ADDRESS CHARACTER(25), 
        CITYID CHARACTER(3), 
        PRIMARY KEY (BUILDINGID), 
        FOREIGN KEY (CITYID) REFERENCES CITY (CITYID));

INSERT INTO BUILDING VALUES
       (1, '1150 Eglinton Ave. East', 'TOR');
INSERT INTO BUILDING VALUES
       (2, '895 Don Mills Road', 'DM');
INSERT INTO BUILDING VALUES
       (3, '3600 Steeles Ave. East', 'MKM');

CREATE TABLE DEPT
       (DEPTID INTEGER NOT NULL, 
        DESCRIPTION CHARACTER(25), 
        BUILDINGID INTEGER,
        PRIMARY KEY (DEPTID), 
        FOREIGN KEY (BUILDINGID) REFERENCES BUILDING (BUILDINGID));

INSERT INTO DEPT VALUES
       (543, 'Architecture', 1);
INSERT INTO DEPT VALUES
       (123, 'XML Tools', 1);
INSERT INTO DEPT VALUES
       (478, 'VisualAge for Java', 2);
INSERT INTO DEPT VALUES
       (789, 'DB2 UDB', 3);

CREATE TABLE EMPLOYEE 
       (SERIALNO INTEGER NOT NULL, 
        NAME CHARACTER(50), 
        WORKSIN INTEGER, 
        PRIMARY KEY (SERIALNO), 
        FOREIGN KEY (WORKSIN) REFERENCES DEPT (DEPTID));

INSERT INTO EMPLOYEE VALUES
       (35678, 'Dave Streeter',   543);
INSERT INTO EMPLOYEE VALUES
       (23679, 'Harm Sluiman',    543);
INSERT INTO EMPLOYEE VALUES
       (43999, 'Christina Lau',   543);
INSERT INTO EMPLOYEE VALUES
       (40578, 'Frank Budinsky',  543);
INSERT INTO EMPLOYEE VALUES
       (45678, 'Mike Starkey',    543);
INSERT INTO EMPLOYEE VALUES
       (67890, 'Ed Merks',        123);
INSERT INTO EMPLOYEE VALUES
       (30290, 'Karen McCulloch', 123);
INSERT INTO EMPLOYEE VALUES
       (52302, 'David Lauzon',    123);
INSERT INTO EMPLOYEE VALUES
       (37892, 'Brian Luc',       123);
INSERT INTO EMPLOYEE VALUES
       (67889, 'Craig Salter',    123);
INSERT INTO EMPLOYEE VALUES
       (38930, 'Peter Spung',     478);
INSERT INTO EMPLOYEE VALUES
       (74902, 'Paul Buck',       478);

COMMIT;

SET TERMOUT ON
PROMPT Demo table build is complete.

EXIT
